@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*,
::before,
::after {
    box-sizing: border-box;
    margin: 0;
}

:root{
    --clr-dark: #070a13;
    --clr-light: #f1f5f9;
    --clr-slate400: #94a3b8;
    --clr-slate600: #475569;
    --clr-slate800: #1e293b;
    --clr-orange600: #eab308;
    --clr-indigo: #4f46e5;

    /* sizes */
    --size-xxs: 0.5rem;
    --size-xs: 0.75rem;
    --size-sm: 0.875rem;
    --size-base: 1rem;
    --size-lg: 1.125rem;
    --size-xl: 1.25rem;
    --size-2xl: 1.5rem;
    --size-3xl: 1.875rem;
    --size-4xl: 2.25rem;
    --size-5xl: 3rem;
    --size-6xl: 3.75rem;
    --size-7xl: 4.5rem;
    --size-8xl: 6rem;
    --size-9xl: 8rem;
    --size-10xl: 10rem;
}

html{
    scroll-behavior: smooth;
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
    user-select: none;
}

.light-mode {
    --clr-light: #070a13;
    --clr-dark: #f1f5f9;
    --clr-slate400: #1e293b;
    --clr-slate600: #1e293b;
    --clr-slate800: #1e293b;
}

body {
    max-width: 100%;
    overflow-x: hidden;
    font-family: Poppins;
    margin: 0;
    background-color: var(--clr-light);
    color: var(--clr-dark);
}

/* scrol */

body::-webkit-scrollbar {
    width: 8px;
  }
   
  body::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0 rgba(0, 0, 0, 0);
  }
   
  body::-webkit-scrollbar-thumb {
    background-color: var(--clr-orange600);
    outline: 1px solid var(--clr-orange600);
  }

a {
    color: var(--clr-orange600);
}

strong {
    color: var(--clr-indigo);
}

h2{
    color: var(--clr-orange600);
}


svg{
    width: 24px;
}

button {
    display: inline-block;
    padding: 0;
    border: none;
    background: none;
    cursor: pointer;
    color: inherit;
}

/* yellow rgb(234, 179, 8)  ungu rgb(79, 70, 229)*/

.btn {
    display: inline-block;
    font-weight: 600;
    text-decoration: none;
    letter-spacing: -0.05em;
    background-color: var(--clr-orange600);
    color: var(--clr-dark);
    padding: 0.5em 1em;
    border-radius: 6px;
    box-shadow: 0 10px 20px rgba(234, 179, 8, 0.5), 
    0 6px 6px rgba(234, 179, 8, 0.5), 0 0 100px -10px var(--clr-orange600);
    transition: transform 0.3s, box-shadow 0.3s;
}

.btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 14px 28px rgba(234, 179, 8, 0.25), 
    0 10px 10px rgba(234, 179, 8, 0.22), 0 0 120px -10px var(--clr-orange600);
}

/* Mobile Button */

.mobile-nav {
    position: fixed;
    border: 1px solid;
    top: 0;
    left: 0;
    z-index: 999;
    width: 100%;
    height: 100%;
    background-color: var(--clr-light);
    display: none;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.mobile-nav__menu {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.mobile-nav__link {
    font-size: var(--size-sm);
    text-decoration: none;
    font-weight: 600;
    color: var(--clr-slate600);
    letter-spacing: -0.05em;
    transition: color 0.3s;
}

.mobile-nav__link:hover {
    color: var(--clr-orange600);
}

.mobile-nav__link-line {
    border: 1px solid var(--clr-slate800);
    padding-right: 1.5em;
}

.mobile-nav__sun {
    display: block;
    color: var(--clr-slate600);
}

/* header */

.header {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    right: 5%;
    align-items: center;
    margin: auto;
    padding-top: 2rem;
    padding-bottom: 2rem;
    z-index: 99999;
}
.header__home2 {
    display: none;
}

.header__menu {
    display: none;
}

.header__bars {
    padding-right: 2rem;
    border: none;
    background: transparent;
    color: var(--clr-orange600);
    display: block;
    z-index: 9999;
}

@media (min-width: 768px) {

    .header__menu{
    gap: 2em;
    align-items: center;
    padding: 0;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    }

    .header__link {
    font-size: var(--size-xs);
    text-decoration: none;
    font-weight: 600;
    color: var(--clr-dark);
    letter-spacing: -0.05em;
    transition: color 0.3s;
    }

    .header__link:hover {
    color: var(--clr-orange600);
    }

    .header__line {
    border: 1px solid var(--clr-dark);
    padding-top: 1.5em;
    }

    .header__sun {
    color: var(--clr-dark);
    background: transparent;
    border: none;
    display: block;
    }

    .header__home {
    color: var(--clr-dark);
    background: transparent;
    border: none;
    display: block;
    }

    .header__home2 {
        display: none;
    }

    .header__bars {
        display: none;
    }

}

@media (min-width: 1024px) {
    
    .header__link {
     font-size: var(--size-sm);
     }
 
     .header__sun {
     background: transparent;
     border: none;
     }
 
     .header__home {
     color: var(--clr-dark);
     background: transparent;
     border: none;
     display: block;
     }
 }

/* header */

/* css slider */
.slider{
    max-width: 100%;
    height: 110vh;
    margin-top: 0px;
    position: relative;
}
.slider .list .item{
    position: absolute;
    inset: 0 0 0 0;
    overflow: hidden;
    opacity: 0;
    transition: .5s;
}
.slider .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slider .list .item::after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    background-image: linear-gradient(
        to top, var(--clr-light) 20%, transparent
    );
}
.slider .list .item .content{
    position: absolute;
    left: 10%;
    top: 20%;
    width: 600px;
    max-width: 80%;
    z-index: 1;
}
.slider .list .item .content p:nth-child(1){
    text-transform: uppercase;
    letter-spacing: 10px;
}
.slider .list .item .content h2{
    font-size: 60px;
    margin: 0;
    letter-spacing: 0px;
}

.blacklink{
    text-decoration: none;
    color: var(--clr-orange600);
}

.whitelink{
    text-decoration: none;
    color: white;
}
.slider .list .item .content .buttons{
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    gap: 5px;
    margin-top: 20px;
}
.slider .list .item .content .buttons button{
    border: none;
    background-color: var(--clr-orange600);
    letter-spacing: 3px;
    font-family: Poppins;
    font-weight: 500;
    align-items: center;
}

.slider .list .item.active{
    opacity: 1;
    z-index: 10;
}
@keyframes showContent {
    to{
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}

.slider .list .item.active p:nth-child(1),
.slider .list .item.active h2, .buttons, 
.slider .list .item.active p:nth-child(3){
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s .7s ease-in-out 1 forwards;
}
.slider .list .item.active h2{
    animation-delay: 1s;
}
.slider .list .item.active p:nth-child(3){
    animation-duration: 1.3s;
}

/* @media (min-width: 475px) {
    .slider .list .item.active h2 {
        font-size: 30px;
    }
}

@media (min-width: 768px) {
    .slider .list .item.active h2 {
        font-size: 50px;
    }
}

@media (min-width: 1280px) {
    .slider .list .item.active h2 {
        font-size: 60px;
    }
} */

.arrows{
    position: absolute;
    top: 30%;
    right: 50px;
    z-index: 100;
}
.arrows button{
    cursor: pointer;
    background-color: #eee5;
    border: none;
    font-family: monospace;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    font-size: x-large;
    color: #eee;
    transition: .5s;
}
.arrows button:hover{
    background-color: #eee;
    color: black;
}
.thumbnail{
    color: var(--clr-dark);
    cursor: pointer;
    position: absolute;
    bottom: 50px;
    z-index: 11;
    display: flex;
    gap: 10px;
    width: 100%;
    height: 250px;
    padding: 0 50px;
    box-sizing: border-box;
    overflow: auto;
    justify-content: center;
}
.thumbnail::-webkit-scrollbar{
    width: 0;
}
.thumbnail .item{
    width: 150px;
    height: 220px;
    filter: brightness(.5);
    transition: .5s;
    flex-shrink: 0;
}
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}
.thumbnail .item.active{
    filter: brightness(1);
}
.thumbnail .item .content{
    position: absolute;
    inset: auto 10px 10px 10px;
}
@media screen and (max-width: 768px) {
    .thumbnail{
        justify-content: start;
    }
    .slider .list .item .content h2{
        font-size: 40px;
    }
    .arrows{
        top: 10%;
    }
}

.fas {
    size: 10rem;
}

.container {
    max-width: 100%;
    justify-content: center;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.section {
     margin-top: 8rem;
} 

@media (min-width: 475px) {
    .container {
        max-width: 475px;
    }
}

@media (min-width: 640px) {
    .container {
        max-width: 640px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 768px;
    }
}

@media (min-width: 1024px) {
    .container {
        max-width: 1024px;
    }
}

@media (min-width: 1280px) {
    .container {
        max-width: 1280px;
    }
}

@media (min-width: 1536px) {
    .container {
        max-width: 1536px;
    }
}

/* ABout */

.about {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    gap: 1rem;
    text-align: center;
}

.about__content{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.about__title{
    font-size: var(--size-3xl);
    color: var(--clr-dark);
}

.about__description{
    max-width: 60ch;
    font-size: var(--size-sm);
    color: var(--clr-slate600);
    line-height: 2.3;
}

.about__img {
    display: flex;
    width: 28rem;
    align-items: center;
    border: none;
    justify-content: center;
    
}

/* Animation */

.hidden {
    opacity: 0;
    filter: blur(5px);
    transform: translateX(-100%);
    transition: all 2s;
}

.show {
    opacity: 1;
    filter: blur(0);
    transform: translateX(0);
}

@media (prefers-reduced-motion) {
    .hidden {
        transition: none;
    }
}

@media (min-width: 476px) {

    .about__img {
        width: 20rem;
    }
}

@media (min-width: 640px) {

    .about__img {
        width: 28rem;
    }
}

@media (min-width: 1024px) {
    .about {
        flex-direction: row;

    }

    .about__title{
        font-size: var(--size-5xl);
        color: var(--clr-dark);
    }

    .about__description{
        max-width: 60ch;
        font-size: var(--size-base);
        color: var(--clr-slate600);
        line-height: 2.8;
    }

    .about__img {
        width: 28rem;
        justify-content: [space-between];
    }
}


/* Projects */

.work__title {
    font-size: var(--size-2xl);
    color: var(--clr-dark);
    text-align: center;

}

.work__description {
    max-width: 60ch;
    font-size: var(--size-sm);
    color: var(--clr-slate600);
    text-align: center;
    margin: 1rem auto;
}

.iframe {
    border: none;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
}

.iframe__web {
    box-shadow: #070a13;
    display: flex;
    height: 30rem;
    width: 20rem;
}

@media (min-width: 475px) {

    .work__title {
        font-size: var(--size-3xl);
    }
    
    .work__description {
        font-size: var(--size-base);
        margin: 1.5rem auto;
    }

    .iframe {
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    
}

@media (min-width: 1024px) {
    .work__title {
        font-size: var(--size-4xl);
    }
    
    .work__description {
        font-size: var(--size-lg);
        
    }

    .iframe {
        flex-direction: row;
        justify-content: center;
    }
    
}

@media (min-width: 1280px) {
    .work__title {
        font-size: var(--size-5xl);
    }
    
    .work__description {
        font-size: var(--size-xl);
        margin: 2rem auto;
    }
}

/* Contact*/

.contact {
    display: flex;
    justify-content: space-evenly;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
}

.contact__title {
    font-size: var(--size-2xl);
    color: var(--clr-dark);
    text-transform: capitalize;
}

.contact__desc {
    font-size: var(--size-sm);
    color: var(--clr-slate600);
    max-width: 60ch;
    line-height: 4;
}

.contact__btn {
    font-size: var(--size-sm);
    align-items: center;
    gap: 3rem;
}

.contact__img {
    background-color: var(--clr-orange600);
    vertical-align: middle;
    display: flex;
    border-radius: 50%;
}

@media (min-width: 1024px) {
    .contact {
        flex-direction: row;

    }

    .contact__title{
        font-size: var(--size-4xl);
        color: var(--clr-dark);
    }

    .contact__desc{
        max-width: 60ch;
        font-size: var(--size-base);
        color: var(--clr-slate600);
    }

    .contact__img {
        width: 28rem;
        justify-content: space-between;
    }
}

@media (min-width: 475px) {
    .contact {
        gap: 1.5rem;
    }
    
    .contact__title {
        font-size: var(--size-3xl);
    }
    
    .contact__desc {
        font-size: var(--size-base);;
    }
    
    .contact__btn {
        font-size: var(--size-base);
    }

    .contact__img {
        width: 28rem;
        align-items: center;
        justify-content: center;
    }
}

@media (min-width: 768px) {
    .contact {
        gap: 1.5rem;
    }
    
    .contact__title {
        font-size: var(--size-3xl);
    }
    
    .contact__desc {
        font-size: var(--size-base);;
    }
    
    .contact__btn {
        font-size: var(--size-base);
    }

    .contact__img {
        width: 28rem;
        align-items: center;
        justify-content: center;
    }
}

@media (min-width: 1024px) {
    .contact {
        gap: 1.5rem;
    }
    
    .contact__title {
        font-size: var(--size-4xl);
    }
    
    .contact__desc {
        font-size: var(--size-lg);;
    }
    
    .contact__btn {
        font-size: var(--size-lg);
    }

    .contact__img {
        width: 28rem;
        align-items: center;
        justify-content: center;
    }
}

@media (min-width: 1280px) {
    
    .contact__title {
        font-size: var(--size-5xl);
    }
    
    .contact__desc {
        font-size: var(--size-xl);;
    }
    
    .contact__btn {
        font-size: var(--size-xl);
    }

    .contact__img {
        width: 28rem;
        align-items: center;
        justify-content: center;
    }
}

/* Footer */

/*.footer__title {
    font-size: var(--size-xs);
    font-weight: 400;
    color: var(--clr-slate600);
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.2em;
    user-select: none;
}*/

.footer {
    background-color: var(--clr-orange600);
    margin-top: 7rem;
    padding-top: 1rem;
}

.text-center {
    color: var(--clr-dark);
}

/* template */

/*
@media (min-width: 475px) {
    
}

@media (min-width: 640px) {
    
}

@media (min-width: 768px) {
    
}

@media (min-width: 1024px) {
   
}

@media (min-width: 1280px) {
    
}

@media (min-width: 1536px) {
    
}
*/